Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table.fill
Class TableSubreport

    java.lang.Object
      net.sf.jasperreports.engine.ElementDecorator
          net.sf.jasperreports.components.table.fill.TableSubreport

All Implemented Interfaces:
  java.lang.Cloneable, JRChild, JRCloneable, JRCommonElement, JRElement, JRPropertiesHolder, JRStyleContainer, JRSubreport, JRVisitable

    public class TableSubreport

extends ElementDecorator
implements JRSubreport

Version:
  $Id: TableSubreport.java 3586 2010-03-12 18:17:13Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRElement
`MODE_OPAQUE, MODE_TRANSPARENT, POSITION_TYPE_FIX_RELATIVE_TO_BOTTOM, POSITION_TYPE_FIX_RELATIVE_TO_TOP, POSITION_TYPE_FLOAT, STRETCH_TYPE_NO_STRETCH, STRETCH_TYPE_RELATIVE_TO_BAND_HEIGHT, STRETCH_TYPE_RELATIVE_TO_TALLEST_OBJECT`

Constructor Summary
`TableSubreport(JRDatasetRun datasetRun, FillContext fillContext)`

Method Summary
`JRExpression` | `getConnectionExpression()`
`JRExpression` | `getDataSourceExpression()`
`JRExpression` | `getExpression()`
`JRSubreportParameter[]` | `getParameters()`
`JRExpression` | `getParametersMapExpression()`
`JRSubreportReturnValue[]` | `getReturnValues()` Returns the list of subreport copied values.
`java.lang.Boolean` | `isOwnUsingCache()` Indicates if the engine is loading the current subreport from cache.
`java.lang.Boolean` | `isRunToBottom()` Specifies whether the subreport element will consume the entire vertical space available on the report page.
`boolean` | `isUsingCache()` Indicates if the engine is loading the current subreport from cache.
`void` | `setRunToBottom(java.lang.Boolean runToBottom)` Sets the flag that Specifies whether the subreport element will consume the entire vertical space available on the report page.
`void` | `setUsingCache(boolean isUsingCache)` Deprecated.
`void` | `setUsingCache(java.lang.Boolean isUsingCache)` Specifies if the engine should be loading the current subreport from cache.

Methods inherited from class net.sf.jasperreports.engine.ElementDecorator
`clone, clone, collectExpressions, getBackcolor, getDefaultStyleProvider, getElementGroup, getForecolor, getHeight, getKey, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getPropertyExpressions, getStretchType, getStretchTypeValue, getStyle, getStyleNameReference, getWidth, getX, getY, hasProperties, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setBackcolor, setForecolor, setMode, setMode, setMode, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX, visit`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElement
`collectExpressions, getElementGroup, getKey, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchType, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Constructor Detail

### TableSubreport

    public TableSubreport(JRDatasetRun datasetRun,
                          FillContext fillContext)

Method Detail

### getConnectionExpression

    public JRExpression getConnectionExpression()

  Specified by:
    `getConnectionExpression` in interface `JRSubreport`

### getDataSourceExpression

    public JRExpression getDataSourceExpression()

  Specified by:
    `getDataSourceExpression` in interface `JRSubreport`

### getExpression

    public JRExpression getExpression()

  Specified by:
    `getExpression` in interface `JRSubreport`

### getParameters

    public JRSubreportParameter[] getParameters()

  Specified by:
    `getParameters` in interface `JRSubreport`

### getParametersMapExpression

    public JRExpression getParametersMapExpression()

  Specified by:
    `getParametersMapExpression` in interface `JRSubreport`

### getReturnValues

    public JRSubreportReturnValue[] getReturnValues()

  Description copied from interface: `JRSubreport`
  Returns the list of subreport copied values.

  Specified by:
    `getReturnValues` in interface `JRSubreport`
  Returns:
    the list of subreport copied values.

### isOwnUsingCache

    public java.lang.Boolean isOwnUsingCache()

  Description copied from interface: `JRSubreport`
  Indicates if the engine is loading the current subreport from cache. Implementations of this method return the actual value for the internal flag that was explicitly set on this subreport.

  Specified by:
    `isOwnUsingCache` in interface `JRSubreport`
  Returns:
    Boolean.TRUE if the subreport should be loaded from cache, Boolean.FALSE otherwise or null in case the flag was never explicitly set on this subreport element

### isRunToBottom

    public java.lang.Boolean isRunToBottom()

  Description copied from interface: `JRSubreport`
  Specifies whether the subreport element will consume the entire vertical space available on the report page.

  Specified by:
    `isRunToBottom` in interface `JRSubreport`
  Returns:
    whether the subreport element will consume the entire space down to the bottom of the page
  See Also:
    `JRSubreport.setRunToBottom(Boolean)`

### isUsingCache

    public boolean isUsingCache()

  Description copied from interface: `JRSubreport`
  Indicates if the engine is loading the current subreport from cache. Implementations of this method rely on default values that depend on the type of the subreport expression if a value was not explicitly set of this flag.

  Specified by:
    `isUsingCache` in interface `JRSubreport`
  Returns:
    true if the subreport should be loaded from cache, false otherwise

### setRunToBottom

    public void setRunToBottom(java.lang.Boolean runToBottom)

  Description copied from interface: `JRSubreport`
  Sets the flag that Specifies whether the subreport element will consume the entire vertical space available on the report page.

  This flag should be set to `true` if the subreport needs to always print its column and page footers at the bottom of the report page, even when the subreport data does not stretch to the bottom.

  Note that when `isFloatColumnFooter` is set for the subreport, the column footers will not be printed at the bottom of the page even if this flag is set.

  Specified by:
    `setRunToBottom` in interface `JRSubreport`
  Parameters:
    `runToBottom` - whether the subreport element will consume the entire space down to the bottom of the page

### setUsingCache

    @Deprecated
    public void setUsingCache(boolean isUsingCache)

  Deprecated.

  Description copied from interface: `JRSubreport`
  Specifies if the engine should be loading the current subreport from cache. If set to true, the reporting engine will try to recognize previously loaded subreports using their specified source. For example, it will recognize a subreport if the subreport source is a file name that it has already loaded, or if it is the same URL.

  For subreports that have expressions returning `java.lang.String` objects as the subreport source, representing file names, URLs or classpath resources, the default value for this flag is true.

  Specified by:
    `setUsingCache` in interface `JRSubreport`

### setUsingCache

    public void setUsingCache(java.lang.Boolean isUsingCache)

  Description copied from interface: `JRSubreport`
  Specifies if the engine should be loading the current subreport from cache. If set to Boolean.TRUE, the reporting engine will try to recognize previously loaded subreports using their specified source. For example, it will recognize an subreport if the subreport source is a file name that it has already loaded, or if it is the same URL.

  If set to null, the engine will rely on some default value which depends on the type of the subreport expression. The cache is turned on by default only for subreports that have `java.lang.String` objects in their expressions.

  Specified by:
    `setUsingCache` in interface `JRSubreport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com